﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;

namespace malovani
{
    public partial class MainWindow : Form
    {
        public MainWindow()
        {
            InitializeComponent();

            int W = pictureBox.Width;
            int H = pictureBox.Height;
            Image img = new Bitmap (W, H);
            Graphics g = Graphics.FromImage (img);
            Brush b = new SolidBrush (Color.White);
            g.FillRectangle (b, 0, 0, W, H);
            pictureBox.Image = img;
        }

        private void quitMenu_Click(object sender, EventArgs e)
        {
            Close ();
        }

        private void runMenu_Click(object sender, EventArgs e)
        {
            Graphics g = Graphics.FromImage (pictureBox.Image);
            Pen p = new Pen (Color.Red);
            g.DrawLine (p, 10, 10, 100, 100);
            pictureBox.Invalidate ();
        }

        int X0, Y0;
        bool click = false;
        Image save;

        private void pictureBox_MouseDown(object sender, MouseEventArgs e)
        {
            X0 = e.X;
            Y0 = e.Y;
            click = true;
            save = new Bitmap (pictureBox.Image);
        }
        private void pictureBox_MouseMove(object sender, MouseEventArgs e)
        {
            if (click)
            {
                Graphics g = Graphics.FromImage (pictureBox.Image);
                Pen p = new Pen (Color.Red);
                g.DrawImage (save, 0, 0);
                g.DrawLine (p, X0, Y0, e.X, e.Y);
                pictureBox.Invalidate ();
            }
        }
        private void pictureBox_MouseUp(object sender, MouseEventArgs e)
        {
            click = false;
        }

    }
}
